from Network.XMLRPCServer import *

import DatabaseServerI

"""
@author W.Pasman 19aug09
Databaseserver is file server,
it can deliver requested files given filename.
ASSUMPTIONS for this implementation:

1 alll files in database  are stored IN THE SRC DIRECTORY with the server python code, just as files.
2 NetworkTools server is running.

CHECK is there a limit to the file size?? This is going all over XMLRPC, dunno??


example code

1. start NetworkTools with
import Network.NetworkTools
a=Network.NetworkTools.NetworkTools()

2. start the database server:
import Database.DatabaseServer
db=Database.DatabaseServer.DatabaseServer()


"""

class DatabaseServer(DatabaseServerI.DatabaseServerI):
	
	def __init__(self):
		server=XMLRPCServer("databaseserver",(gethostname(),8004))
		server.register_function(self.get,"get")
		server.run()
		
		
	
	# @returns entire file(may be large!!!)
	# @throws error if file does not exist.
	def get(self,filename):
		with open(filename) as f:
			entirefile=f.read()
		return entirefile
		
