import sys
import Network.NetworkTools
import string
import types 

# test with
# p=Patient.Patient.Patient(1,2)

"""
This class launches patient server and is central access point
for all network access for this patient.

@author W.Pasman

"""
class Patient:
	
	
	# networktools contains the global instance of NetworkTools for the patient platform.
	patientid=0
	scenariomanager=0
	
	# @param pid is unique id for the patient.
	# @param availablesockets is an array of sockets we can use (eg range(8000,8010))  
	
	def __init__(self, pid, availablesockets):
		if (not(type(pid) is types.StringType)):
			raise TypeError("pid has to be a string")
		print "initializing patient "+pid
		self.patientid=pid
		
		

#args=sys.argv
#if (len(args)!=3):
#	raise Exception("expecting 2 parameters: patientid, availablesockets")
#Patient(args[1],args[2])
