import sys
import Network.XMLRPCServer
import string
import types 
from PyQt4 import QtGui, QtCore
from socket import gethostname
import Patient.PhysicalStatusI
from socket import gethostname
import xmlrpclib

import sys
from PyQt4 import QtGui

"""
@author W.Pasman

This GUI is to enable therapist to give SUD score hints to the sud analyser

usage:

	1. Run the PhysStatusWidget

	2. Run the SUDScore module
	
	3. HACK as this is widget.	you can show the widget using this code:
from PyQt4 import QtGui
import sys
app = QtGui.QApplication(sys.argv)
import Therapist.SUDSelWidget
qb = Therapist.SUDSelWidget.SUDSelWidget("patient1",None)
qb.show()

3. see SUDScore.py for more steps
"""
class SUDSelWidget(QtGui.QLabel):
	patientid="unknown"
	proxy=0 # proxy to the sheech analyser receiving the given hints
	
	# @pid is patient id, used to create right service for callback.
	def __init__(self, pid, parent=None):
		if (not(type(pid) is types.StringType)):
			raise TypeError("pid has to be a string")
		self.patientid=pid
		
		ad=Network.NetworkTools.NetworkTools.getInfo(self.patientid+".SUDScore",True,10)	
		self.proxy=xmlrpclib.ServerProxy(Network.NetworkTools.NetworkTools.makeFullName(ad))
		
		self.initWidget(parent)
		
	def setSUD(self,newsud):
		print "you clicked :"+str(newsud)
		self.proxy.setSUD(newsud)
		
		
		
	#-----------------widget  code--------------
	# pullled out of Guntur's interface by W.Pasman 19aug09
	def initWidget(self, parent):
		QtGui.QWidget.__init__(self, parent)
		self.setMinimumSize(354, 80)
		
		label1 = QtGui.QLabel('<b>SUD Score', self)
		label1.move(145, 0)

		#SUD Buttons 0-10
		# wouter: simplified, original code was messy iterative stuff
		for x in range(11):
			button = QtGui.QPushButton(self) 
			button.setIconSize(QtCore.QSize(22,21))               
			button.setIcon(QtGui.QIcon("Therapist/icons/SUD"+str(x)+"gr.png"))
			button.setGeometry(1+32*x, 17, 31, 30)
			self.connect(button, QtCore.SIGNAL('clicked()'), lambda x=x:self.setSUD(x))

