

"""
@author W.Pasman 19aug09
This database defines a very simple interface to a database.
It is mainly a way to fetch "files"

Each of the files can be stored locally or remotely.
You use the open(name) to get an object. 
You then receive either 
* The same name if the file exists locally
* a string containing a path to a copy of that file on the database server.


import Database.DatabaseI 
a=Database.DatabaseI.DatabaseI.open("somefile")
a.read()_
a.close()



or easier,
import Database.DatabaseI 
with Database.DatabaseI.DatabaseI.open("somefile") as f
	f.read()

"""

class DatabaseI:
	
	
	# @param filename is full path to a filename.
	# @returns open file handle, which is either the original, 
	# or a copy from the remote database if it does not exist under that name as original..
	# We avoid using "open" as a name for this as open is a built-in command that we need too.
	# After get you can use the returned path to open the file and access the contents.
	# @throws IOError if file does not exist, neither locally nor in database.
	def get(filename):
		raise Exception("get was not implemented")
		
		