class HeartRateI:
	"""
	This is an interface class for the HeartRate measurement tool
	This interface assumes that the getHeartRate() is being polled
	@author W.Pasman
	"""
	
	# @return double with latest measured heart rate (or an approximation of that) 
	def getHeartRate():
		raise Exception("getHeartRate has not been implemented!") 
		