import sys
import Network.XMLRPCServer
import string
import types 
from PyQt4 import QtGui, QtCore
from socket import gethostname
import Patient.PhysicalStatusI
from socket import gethostname


import sys
from PyQt4 import QtGui

"""
@author W.Pasman

This interface is a callback interface for the scaredness analysis in Patient
It's an interface so that anyone can make his own widget for it.

usage:
	1. start up the networktools server
import Network.NetworkTools
a=Network.NetworkTools.NetworkTools()


	2 This is a hack as this is widget. you can show the widget using this code:
from PyQt4 import QtGui
import sys
app = QtGui.QApplication(sys.argv)
import Therapist.PhysStatusWidget
qb = Therapist.PhysStatusWidget.PhysStatusWidget("patient1",None)
qb.show()

3. see SUDScore.py for more steps
"""
class PhysStatusWidget(QtGui.QWidget, Patient.PhysicalStatusI.PhysicalStatusI):
	patientid="unknown"
	sudtext=QtGui.QLabel('?') # the current SUD score.
	
	# @pid is patient id, used to create right service for callback.
	def __init__(self, pid, parent=None):
		if (not(type(pid) is types.StringType)):
			raise TypeError("pid has to be a string")
		self.patientid=pid
		
		# set up the required service
		#TODO fix the following, there will be more of these and they can not all be on port 8002.
		#fixing this will require a way to get free ports on this computer.
		server=Network.XMLRPCServer.XMLRPCServer(pid+".PhysStatusWidget",(gethostname(),8002))
		server.register_function(self.newStatus,"newStatus")
		server.run()
		
		# init the widget itself.
		QtGui.QWidget.__init__(self, parent)
		label=QtGui.QLabel('SUD:')
		hbox=QtGui.QHBoxLayout()
		hbox.addStretch(1)
		hbox.addWidget(label)
		hbox.addWidget(self.sudtext)
		self.setLayout(hbox)
		
	# catch the messages:
	def newStatus(self,measured):
		print "physstatuswidget received status update:"+str(measured)
		self.sudtext.setText(QtCore.QString(str(measured)))
		return 0 # function is void but we need this to prevent the dreaded xmlrpclib.Fault: <Fault 1: "<type 'exceptions.TypeError'>:cannot marshal None unless allow_none is enabled">
		
